Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7499 - FTP install crash
Summary: FTP install crash
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-01 23:02 UTC by wfaulk
Modified: 2015-01-07 23:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-02 15:36:57 UTC


Attachments (Terms of Use)

Description wfaulk 1999-12-01 23:02:23 UTC
I set up an anonymous FTP server with the RedHat CDROM mounted as the
root.  Therefore, I put ``/'' as the FTP install directory (or whatever it
is).  When this happened, I got a python error that totally crashed the
installation.  When I remounted the cdrom as /cdrom (from the FTP client's
point of view), it worked fine.  Here's the error:

Exception Occured (sic)
Traceback (innermost last):
	File "/usr/bin/anaconda.real", line 225 in ?
		intf.run(todo, test = test)
	File "/tmp/lib/python1.5/site-packages/text.py", line 1000, in run
		rc = apply(step[1](), step[2])
	File "/tmp/lib/python1.5/site-packages/text.py", line 468, in __call__
		todo.getCompsList()
	File "/tmp/lib/python1.5/site-packages/todo.py", line 942, in getCompsList
		self.getHeaderList()
	File "/tmp/lib/python1.5/site-packages/todo.py", line 930, in
getHeaderList
		self.hdlist = self.method.readHeaders()
	File "/tmp/lib/python1.5/site-packages/urlinstall.py", line 45, in
readHeaders
		url = urllib.urlopen(self.baseUrl + "/RedHat/base/hdlist")
	File "/tmp/lib/python1.5/urllib.py", line 59, in urlopen
		return _urlopener.open(url)
	File "/tmp/lib/python1.5/urllib.py", line 157, in open
		return getattr(self,name)(url)
	File "/tmp/lib/python1.5/urllib.py", line 370, in open_ftp
		self.ftpcache[key] = \
	File "/tmp/lib/python1.5/urllib.py", line 559, in __init__
		self.init()
	File "/tmp/lib/python1.5/urllib.py", line 568, in init
		self.ftp.cwd(dir)
	File "/var/tmp/python-root/usr/lib/python1.5/ftplib.py", line 441, in cwd
	File "/var/tmp/python-root/usr/lib/python1.5/ftplib.py", line 233, in
voidcmd
	File "/var/tmp/python-root/usr/lib/python1.5/ftplib.py", line 208, in
voidresp
	File "/var/tmp/python-root/usr/lib/python1.5/ftplib.py", line 201, in
getresp IOError: [Errno ftp error] 500 'CWD ' is an unknown command.

Comment 1 Jay Turner 1999-12-02 15:36:59 UTC
This is a known bug that there cannot be a trailing slash on the path to the
source file for a FTP installation.  We are fixing this and plan to release the
fix in the next set of errata.  You discovered the workaround, which is to mount
the cdrom on a point which allows you to not have to give a trailing slash.

Thanks for the feedback.


Note You need to log in before you can comment on or make changes to this bug.